commit 6569505d4c1d549b07c6640911d8e3809b5b2a6b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Feb 13 00:22:19 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4bcf0fa7545..d38af5a6357 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250212
+20250213
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index 5af3c455e36..cd2fd895590 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,24 @@
+2025-02-12  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2025-02-01  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/118703
+	* gm2-gcc/m2builtins.cc (define_builtin_gcc): New function.
+	(m2builtins_init): Call define_builtin_gcc.
+	* gm2-libs/Builtins.def (clz): New procedure function.
+	(clzll): Ditto.
+	(ctz): Ditto.
+	(ctzll): Ditto.
+	* gm2-libs/Builtins.mod (clz): New procedure function.
+	(clzll): Ditto.
+	(ctz): Ditto.
+	(ctzll): Ditto.
+	* gm2-libs/cbuiltin.def (clz): New procedure function.
+	(clzll): Ditto.
+	(ctz): Ditto.
+	(ctzll): Ditto.
+
 2025-01-09  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 44fd56a6542..55fac2082dc 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-02-12  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2025-02-01  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/118703
+	* gm2/builtins/run/pass/testbitfns.mod: New test.
+
 2025-02-10  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

